# MapProxy-Seeds und -Cleanups fuer TESTBESTAND ALKIS Mustermonzel - krz-Netz
# Siehe identische Version fuer Internet auf Server skrzmapweb02
# Stand
# 2011-09-06 seed.yaml aufgeteilt
# 2013-01-23 grid in base.yaml geaendert, level verschiebt sich um 1
# 2013-09-30 neuer Level 7 in NUA clean
# 2015-09-28 Korrektur: "grids: [alkis_rlp_lie_grid]" statt "grids: [alkis_rlp_grid]"

seeds:
  # Lieka 5000-1000 generieren
  alkisrlp_lie:
    caches: [alkisrlp_lie_c]
    grids: [alkis_rlp_lie_grid]
    coverages: [alkis_rlp_demo]
    levels:
      from: 0
      to: 7
    refresh_before:
      days: 2
  # Nutzung generieren
  alkisrlp_nua:
    caches: [alkisrlp_nua_c]
    grids: [alkis_rlp_nua_grid]
    coverages: [alkis_rlp_demo]
    levels:
      from: 0
      to: 5
    refresh_before:
      days: 2

cleanups:
  # grosse Masstaebe 1:1.750-1:250 aufraeumen
  alkisrlp_g:
    caches: [alkisrlp_lie_c]
    grids: [alkis_rlp_lie_grid]
    coverages: [alkis_rlp_demo]
    remove_before:
      days: 2
    levels:
      from: 4
      to: 8
  # kleine Masstaebe 1:25.000-2.500 aufraeumen
  alkisrlp_k:
    caches: [alkisrlp_lie_c]
    grids: [alkis_rlp_lie_grid]
    coverages: [alkis_rlp_demo]
    remove_before:
      days: 2
    levels:
      from: 0
      to: 3
  # Nutzung aufraeumen
  alkisrlp_n:
    caches: [alkisrlp_nua_c]
    grids: [alkis_rlp_nua_grid]
    coverages: [alkis_rlp_demo]
    remove_before:
      days: 2
    levels:
      from: 0
      to: 7
  # Bezirke aufraeumen
  alkisrlp_b:
    caches: [alkisrlp_bez_c]
    grids: [alkis_rlp_bez_grid]
    coverages: [alkis_rlp_demo]
    remove_before:
      days: 20
    levels:
      from: 0
      to: 5

coverages:
  alkis_rlp_demo:
    # Ausschnitt eng um das Testgebiet:
    bbox: "349550,5529460,355140,5532210"
    bbox_srs: "EPSG:25832"
